<!DOCTYPE html>

<?php
         
        $host = "webdev.iyaserver.com";
        $userid = "dent_guest";
        $userpw = "Acad276_Dev2Ex@m";
        $db = "dent_exam";
    
        $mysql = new mysqli(
            $host,
            $userid,
            $userpw,
            $db
        );
    
        if($mysql->connect_errno) {
            echo "db connection error : " . $mysql->connect_error;
            exit();
        } else {
            echo "db connection success!";
        }
        
        if(empty($_REQUEST['device_name'])) {
            echo "You are missing the device name. Please go the <a href='search.php'>search</a> form page.";
            exit();
        }  
        
        if(empty($_REQUEST['manufacturer_id'])) {
            echo "You are missing the manufacturer. Please go the <a href='search.php'>search</a> form page.";
            exit();
        }  

        if(empty($_REQUEST['system_id'])) {
                    echo "You are missing the system. Please go the <a href='search.php'>search</a> form page.";
                    exit();
        }  
        
        if(empty($_REQUEST['type_id'])) {
                    echo "You are missing the type. Please go the <a href='search.php'>search</a> form page.";
                    exit();
        }  
        
        $sql = "
        
        SELECT * 
        FROM devices, manufacturers, systems, types
        WHERE
        devices.manufacturer_id = manufacturers.manufacturer_id
        AND
        devices.system_id = systems.system_id
        AND
        devices.type_id = types.type_id
        
        ";
        
        if($_REQUEST['device_name'] != "ALL" ) {
        	$sql .= " AND name LIKE '%" . $_REQUEST['device_name'] . "%'";
        } 
        
        if($_REQUEST['manufacturer_id'] != "ALL" ) {
        	$sql .= " AND devices.manufacturer_id = " . $_REQUEST['manufacturer_id'];
        }  
        
        if($_REQUEST['system_id'] != "ALL" ) {
        	$sql .= " AND devices.system_id = ". $_REQUEST['system_id'];
        } 
        
        if($_REQUEST['type_id'] != "ALL" ) {
        	$sql .= " AND devices.type_id = ". $_REQUEST['type_id'];
        }
        
        $results = $mysql->query($sql);
  
        if(!$results) {
            echo "SQL error: ". $mysql->error;
            exit();
        } else {
            echo "Results were gotten";
        }
        
?>

<html>

<head lang="en">

    <meta charset="UTF-8">

    <title>Acad276 Practical Exam: Results</title>

    <style>

        .container {

            width:  600px;

            margin: auto;

        }

        h1 {

            margin: auto;

            text-align: center;

            background-color:   #900;

            color:  #FC0;

            height: 60px;

            line-height: 60px;

        }

        .num-results {

            margin: 20px 10px;

        }

        table {

            margin: auto;

            margin-bottom: 20px;

            width:  80%;

            border-collapse: collapse;

        }

        th, td {

            border: 1px solid #900;

            border-collapse: collapse;

            padding:    10px;

            text-align: center;

        }

        img {

            width: 100px;

        }

        .nav-link{

            margin: 10px 0px;

            font-size: 14px;

        }

    </style>

</head>

<body>

<div class="container">

    <h1>Mobile Device Database: Search Results</h1>

    <div class="nav-link">

        <a href="search.php"><< Back to Search Page</a>

    </div>

    <div class="num-results">

        Your search returned
        
        <?php
        
            $total_results = $results->num_rows;
            
            echo "<strong>". $total_results ."</strong>";
            
        ?>

        results.

    </div>



    <table>

        <tr>

            <th>Name</th>

            <th>Price</th>

            <th>Manufacturer</th>

            <th>System</th>

            <th>Type</th>

        </tr>
        
        <?php
        
           while ($currentrow = $results->fetch_assoc()) {
                echo "<tr>";
    
                echo '<td><a href="details.php?id='.$currentrow["device_id"].'">'. $currentrow["name"]  .'</a></td>';
    
                echo "<td>". $currentrow["price"]  ."</td>";
    
                echo "<td>". $currentrow["manufacturer"]  ."</td>";
    
                echo "<td>". $currentrow["system"]  ."</td>";
    
                echo "<td>". $currentrow["type"]  ."</td>";
    
            echo "</tr>";
           }
        ?>

    </table>

</div>

</body>

</html>